Subject: Re: bug#16895: [PATCH] grep: fix multiple bugs with bracket expressions

From: Paul Eggert <[email-masked]>
Date: Fri, 28 Feb 2014 13:21:33 -0800

On 02/28/2014 04:37 AM, Aharon Robbins wrote:
> Is that done at compile time in those locales, or at run time?

A bit of both.  At compile-time we check that the compile-time character 
set is compatible with ASCII (i.e., the C aka POSIX locale).  At 
run-time we check that the locale is indeed C aka POSIX.  Both checks 
need to succeed..

> GLIBC does support [[=a=]] and [[.ch.]], though, right?
>

Yes.